Bug 1006913 - Wine Fails to start with excessive number of fonts
Wine Fails to start with excessive number of fonts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 09:42 EDT by Luca Giuzzi
Modified: 2015-02-17 12:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:08:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luca Giuzzi 2013-09-11 09:42:35 EDT
Description of problem:
 I had a very large number of fonts locally installed (in .fonts) ...
 up to 2500 files (mostly .otf files)
 Wine fails to start with 
  err:module:attach_process_dlls "gdi32.dll" failed to initialize, aborting 

 Reducing the number of fonts available (now there are 496 files) fixed the
 issue

Version-Release number of selected component (if applicable):

Name        : wine
Version     : 1.7.1
Release     : 2.fc19
Architecture: x86_64



How reproducible:
 The problem was systematic; every time wine failed to start after having 
 fully filled all available memory.
 Not even console applications (like cmd.exe) seemed to work


Steps to Reproduce:
1. Install many fonts locally
2. Try to run wine
3.

Actual results:

After filling out most of the available memory wine prints some time out
warnings and then fails to start with error

  err:module:attach_process_dlls "gdi32.dll" failed to initialize, aborting 


Expected results:
The expected program starts.
 

Additional info:
 I have not had this problem with previous versions of wine (the same fonts were installed); perhaps it is an upstream issue. 
In any case, reducing the number of fonts seemed to be able to solve the problem.
Comment 1 Fedora End Of Life 2015-01-09 14:48:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:08:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.